Page MenuHomePhabricator

Client loses connection to database replica and cannot connect to it any further
Closed, ResolvedPublic

Event Timeline

Giftpflanze raised the priority of this task from to Needs Triage.
Giftpflanze updated the task description. (Show Details)
Giftpflanze added a subscriber: Giftpflanze.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 24 2015, 11:03 PM

Can you provide more details? when does it lose connection? what error message are you getting when you try to connect again? Is it able to connect again if your process restarts?

The last run of my job started at 24/11/2015 21:15 UTC and ended at 22:43 (then I got the error that I lost connection). The code then tries to reconnect in a loop, then I get the error can't connect to mysql. It connects just fine when I (update the data file and) restart the job.

Can you provide the exact error messages you are getting?

mysqlsel/db server: Lost connection to MySQL server during query
  while executing
"mysqlsel $dewiki_p "select el_to from externallinks where el_from=$pageid" -list"

mysqlconnect/db server: Can't connect to MySQL server on 'dewiki.labsdb' (111)
  while executing
"mysqlconnect -reconnect 1 -host $server.labsdb -db [expr {[llength $db]?$db:"${server}_p"}]"
  (procedure "get_db" line 2)
  invoked from within
"get_db dewiki"

script: ~tools.giftbot/dwl21.tcl

Giftpflanze closed this task as Resolved.Nov 27 2015, 12:22 PM
Giftpflanze claimed this task.